Loading...
Searching...
No Matches
BALL::VIEW::SceneMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::SceneMessage:

## Public Types

Enumeration
enum | SceneMessageType { UNDEFINED = 0 , REBUILD_DISPLAY_LISTS , REDRAW , UPDATE_CAMERA , REMOVE_COORDINATE_SYSTEM , EXPORT_PNG , EXPORT_POVRAY , ENTER_ROTATE_MODE , ENTER_PICKING_MODE , ENTER_MOVE_MODE , EXPORT_FINISHED }
| Types for SceneMessages. More...

## Public Member Functions

Constructors and Destructors
| SceneMessage (SceneMessageType type=UNDEFINED)
| SceneMessage (const SceneMessage &message)
virtual | ~SceneMessage ()
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Accessors: inspectors and mutators

void | setType (SceneMessageType type)
| Set the type of the Message.
SceneMessageType | getType () const
| Get the type of the message.
void | setStage (Stage stage)
Stage & | getStage ()
| Get the Stage in this message.
const Stage & | getStage () const
| Get the Stage in this message.

## Detailed Description

SceneMessage is the message class that is responsible for changing the content of the Scene. ConnectionObject objects that would like to have the Scene focus on another Composite or would like to update the contents of the Scene (because of some changes in the composite structure) will sent this message. There are methods available that will tell the Scene to update its contents or change the camera positions.

  Send by MainControl, GeometricControl and several dialogs.

  Received by Scene

Definition at line 328 of file message.h.

## Member Enumeration Documentation

## SceneMessageType

enum BALL::VIEW::SceneMessage::SceneMessageType

Types for SceneMessages.

Enumerator
UNDEFINED |
REBUILD_DISPLAY_LISTS | Rebuild the GLDisplayList objects in the GLRenderer.
REDRAW | Redraw from the GLDisplayList objects.
UPDATE_CAMERA | Move the Camera in the Scene to the value in this message.
REMOVE_COORDINATE_SYSTEM | Remove the coordinate system in the Scene.
EXPORT_PNG | Export a PNG.
EXPORT_POVRAY | Export a POVRay.
ENTER_ROTATE_MODE |
ENTER_PICKING_MODE |
ENTER_MOVE_MODE | Move Composites or a Clipping Plane.
EXPORT_FINISHED | A previous export has finished.

Definition at line 337 of file message.h.

## Constructor & Destructor Documentation

## SceneMessage() [1/2]

BALL::VIEW::SceneMessage::SceneMessage | ( | SceneMessageType | type = UNDEFINED | ) |

Default Constructor. The state of this sceneMessage is set to:

- type - UNDEFINED
- camera - set to defaults

## SceneMessage() [2/2]

BALL::VIEW::SceneMessage::SceneMessage | ( | const SceneMessage & | message | ) |

Copy constructor.

## ~SceneMessage()

virtual BALL::VIEW::SceneMessage::~SceneMessage | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## getStage() [1/2]

Stage & BALL::VIEW::SceneMessage::getStage | ( |  | ) |

inline

Get the Stage in this message.

Definition at line 412 of file message.h.

## getStage() [2/2]

const Stage & BALL::VIEW::SceneMessage::getStage | ( |  | ) | const

inline

Get the Stage in this message.

Definition at line 416 of file message.h.

## getType()

SceneMessageType BALL::VIEW::SceneMessage::getType | ( |  | ) | const

inline

Get the type of the message.

Definition at line 403 of file message.h.

## setStage()

void BALL::VIEW::SceneMessage::setStage | ( | Stage | stage | ) |

inline

Set the Stage in this message.

Definition at line 408 of file message.h.

## setType()

void BALL::VIEW::SceneMessage::setType | ( | SceneMessageType | type | ) |

Set the type of the Message.